Subject: Re: [PATCH 1/5] net: remove bogus RCU annotations on socket.wq

From: Christoph Hellwig <[email-masked]>
Date: Mon, 30 Jul 2018 09:44:54 +0200

On Sun, Jul 29, 2018 at 01:05:51PM -0700, David Miller wrote:
> From: Christoph Hellwig <[email-masked]>
> Date: Fri, 27 Jul 2018 16:02:10 +0200
> 
> > We never use RCU protection for it, just a lot of cargo-cult
> > rcu_deference_protects calls.
> > 
> > Note that we do keep the kfree_rcu call for it, as the references through
> > struct sock are RCU protected and thus might require a grace period before
> > freeing.
> > 
> > Signed-off-by: Christoph Hellwig <[email-masked]>
> 
> These were added by Eric Dumazet and I would never accuse him of cargo
> cult programming.
> 
> All of the rcu_dereference_protects() calls are legit, even though some
> of them use '1' as the protects condition because in fact we know the
> object is dead and gone through an RCU cycle at that point.

I disagree, but I'll resend it the patch with Eric and Paul in CC to
settle the argument.